net.minecraftforge.common

## Class WorldSpecificSaveHandler

- java.lang.Object
- - net.minecraftforge.common.WorldSpecificSaveHandler

- All Implemented Interfaces:
    ISaveHandler

      public class WorldSpecificSaveHandler
      extends Object
      implements ISaveHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldSpecificSaveHandler(WorldServer world, ISaveHandler parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSessionLock()` Checks the session lock to prevent save collisions
    `void` | `flush()` Called to flush all changes to disk, waiting for them to complete.
    `IChunkLoader` | `getChunkLoader(WorldProvider var1)` Returns the chunk loader with the provided world provider
    `File` | `getMapFileFromName(String name)` Gets the file location of the given map
    `String` | `getSaveDirectoryName()` Returns the name of the directory where world information is saved.
    `IPlayerFileData` | `getSaveHandler()` returns null if no saveHandler is relevent (eg.
    `WorldInfo` | `loadWorldInfo()` Loads and returns the world info
    `void` | `saveWorldInfo(WorldInfo var1)` Saves the passed in world info.
    `void` | `saveWorldInfoWithPlayer(WorldInfo var1, NBTTagCompound var2)` Saves the given World Info with the given NBTTagCompound as the Player.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldSpecificSaveHandler

          public WorldSpecificSaveHandler(WorldServer world,
                                  ISaveHandler parent)

  - ### Method Detail

    - #### loadWorldInfo

          public WorldInfo loadWorldInfo()

      Description copied from interface: `ISaveHandler`
      Loads and returns the world info
      Specified by:
        `loadWorldInfo` in interface `ISaveHandler`

    - #### checkSessionLock

          public void checkSessionLock()
                                throws MinecraftException

      Description copied from interface: `ISaveHandler`
      Checks the session lock to prevent save collisions
      Specified by:
        `checkSessionLock` in interface `ISaveHandler`
      Throws:
        `MinecraftException`

    - #### getChunkLoader

          public IChunkLoader getChunkLoader(WorldProvider var1)

      Description copied from interface: `ISaveHandler`
      Returns the chunk loader with the provided world provider
      Specified by:
        `getChunkLoader` in interface `ISaveHandler`

    - #### saveWorldInfoWithPlayer

          public void saveWorldInfoWithPlayer(WorldInfo var1,
                                     NBTTagCompound var2)

      Description copied from interface: `ISaveHandler`
      Saves the given World Info with the given NBTTagCompound as the Player.
      Specified by:
        `saveWorldInfoWithPlayer` in interface `ISaveHandler`

    - #### saveWorldInfo

          public void saveWorldInfo(WorldInfo var1)

      Description copied from interface: `ISaveHandler`
      Saves the passed in world info.
      Specified by:
        `saveWorldInfo` in interface `ISaveHandler`

    - #### getSaveHandler

          public IPlayerFileData getSaveHandler()

      Description copied from interface: `ISaveHandler`
      returns null if no saveHandler is relevent (eg. SMP)
      Specified by:
        `getSaveHandler` in interface `ISaveHandler`

    - #### flush

          public void flush()

      Description copied from interface: `ISaveHandler`
      Called to flush all changes to disk, waiting for them to complete.
      Specified by:
        `flush` in interface `ISaveHandler`

    - #### getSaveDirectoryName

          public String getSaveDirectoryName()

      Description copied from interface: `ISaveHandler`
      Returns the name of the directory where world information is saved.
      Specified by:
        `getSaveDirectoryName` in interface `ISaveHandler`

    - #### getMapFileFromName

          public File getMapFileFromName(String name)

      Description copied from interface: `ISaveHandler`
      Gets the file location of the given map
      Specified by:
        `getMapFileFromName` in interface `ISaveHandler`